package com.diaoyun.zion.chinafrica.service.impl;

import com.diaoyun.zion.chinafrica.dao.TbCfExpTemKeywordDao;
import com.diaoyun.zion.chinafrica.entity.TbCfExpTemKeywordEntity;
import com.diaoyun.zion.chinafrica.service.TbCfExpTemKeywordService;
import com.diaoyun.zion.master.util.IdUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 运费模板关键字对应表Service实现类
 *
 * @author lipengjun
 * @date 2019-09-16 15:22:46
 */
@Service("tbCfExpTemKeywordService")
public class TbCfExpTemKeywordServiceImpl implements TbCfExpTemKeywordService {
    @Autowired
    private TbCfExpTemKeywordDao tbCfExpTemKeywordDao;

    @Override
    public TbCfExpTemKeywordEntity queryObject(Integer id) {
        return tbCfExpTemKeywordDao.queryObject(id);
    }

    @Override
    public List<TbCfExpTemKeywordEntity> queryList(Map<String, Object> map) {
        return tbCfExpTemKeywordDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return tbCfExpTemKeywordDao.queryTotal(map);
    }

    @Override
    public int save(TbCfExpTemKeywordEntity tbCfExpTemKeyword) {
        tbCfExpTemKeyword.setId(IdUtil.createIdbyUUID());
        return tbCfExpTemKeywordDao.save(tbCfExpTemKeyword);
    }

    @Override
    public int update(TbCfExpTemKeywordEntity tbCfExpTemKeyword) {
        return tbCfExpTemKeywordDao.update(tbCfExpTemKeyword);
    }

    @Override
    public int delete(Integer id) {
        return tbCfExpTemKeywordDao.delete(id);
    }

    @Override
    public int deleteBatch(Integer[] ids) {
        return tbCfExpTemKeywordDao.deleteBatch(ids);
    }
}
